Create
curl --request POST \
--url https://api.cadanapay.com/v1/platform/businesses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"businessName": "Wayne Enterprise",
"adminFirstName": "Jane",
"adminLastName": "Founder",
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
},
"adminEmail": "admin@example.com",
"idempotencyKey": "b6ae5da9-6342-4a58-bd50-8564d68d3f7e",
"country": "US",
"businessShortName": "W.E.",
"suppressWelcomeEmail": false,
"registrationId": "991234567",
"adminPhoneNumber": {
"countryCode": "1",
"number": "2345678901"
}
}
'import requests
url = "https://api.cadanapay.com/v1/platform/businesses"
payload = {
"businessName": "Wayne Enterprise",
"adminFirstName": "Jane",
"adminLastName": "Founder",
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
},
"adminEmail": "admin@example.com",
"idempotencyKey": "b6ae5da9-6342-4a58-bd50-8564d68d3f7e",
"country": "US",
"businessShortName": "W.E.",
"suppressWelcomeEmail": False,
"registrationId": "991234567",
"adminPhoneNumber": {
"countryCode": "1",
"number": "2345678901"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
businessName: 'Wayne Enterprise',
adminFirstName: 'Jane',
adminLastName: 'Founder',
address: {
countryCode: 'US',
line1: 'Street 1',
line2: 'Apt 1',
city: 'Gotham',
postalCode: '10001',
state: 'NY'
},
adminEmail: 'admin@example.com',
idempotencyKey: 'b6ae5da9-6342-4a58-bd50-8564d68d3f7e',
country: 'US',
businessShortName: 'W.E.',
suppressWelcomeEmail: false,
registrationId: '991234567',
adminPhoneNumber: {countryCode: '1', number: '2345678901'}
})
};
fetch('https://api.cadanapay.com/v1/platform/businesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"businessId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"tenantKey": "biz123456"
}{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Platform
Create
Create a business
POST
/
v1
/
platform
/
businesses
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Create business request payload
Business name
Example:
"Wayne Enterprise"
First name of the admin of the business
Example:
"Jane"
Last name of the admin of the business
Example:
"Founder"
Address
Show child attributes
Show child attributes
Person's email
Example:
"admin@example.com"
Unique string to prevent dedupe
Example:
"b6ae5da9-6342-4a58-bd50-8564d68d3f7e"
Example:
"US"
Shortname of the business
Example:
"W.E."
Whether you want to suppress the welcome email
Registration id/number of the business
Example:
"991234567"
Person's phone number
Show child attributes
Show child attributes
⌘I